#!/bin/bash

for process in {"test_acp","test_get_compar","test_masschroq_filters_drop","test_mcq_compute_anova_heteroyeast","test_mcq_compute_anova","test_mcq_compute_cluster","test_mcq_compute_peak_counting","test_mcq_compute_pepq_by_factor","test_mcq_compute_pepq_by_track","test_mcq_compute_peptide_imputation","test_mcq_compute_protein_abundance","test_mcq_compute_protein_imputation","test_mcq_compute_protq_by_track","test_mcq_compute_ratio","test_mcq_compute_tukey_2F","test_mcq_compute_tukey","test_mcq_cv","test_mcq_drop_from_protlist","test_mcq_drop_low_proteins","test_mcq_drop_low_variations","test_mcq_drop_proteins_with_few_peptides","test_mcq_drop","test_mcq_drop_rt_range","test_mcq_drop_shared_peptides","test_mcq_drop_uncorrelated_peptides","test_mcq_drop_unreproducible_peptides","test_mcq_drop_variable_rt","test_mcq_drop_wide_peaks","test_mcq_get_compar","test_mcq_get_dataframe","test_mcq_get_merge","test_mcq_get_metadata","test_mcq_label_protein","test_mcq_metadata","test_mcq_plot_counts_per_injection","test_mcq_plot_global_intensity","test_mcq_plot_heatmap","test_mcq_plot_intensity_profile","test_mcq_plot_nfractions_per_peptide_mz","test_mcq_plot_peak_width","test_mcq_plot_peptide_correlation","test_mcq_plot_peptide_intensity","test_mcq_plot_peptide_reproducibility","test_mcq_plot_peptide_sharing","test_mcq_plot_protein_abundance","test_mcq_plot_pvalues","test_mcq_plot_sds_page","test_mcq_plot_sds_rt_variability","test_mcq_plot_tukey","test_mcq_plot_venn","test_mcq_protlist_manipulation","test_mcq_protlist","test_mcq_ratio","test_mcq_read_masschroq","test_mcq_read_masschroq_sds","test_mcq_read_spectral_counting","test_mcq_select_from_protlist","test_mcq_select_pvalues","test_mcq_select","test_mcq_select_rt_range","test_mcq_spectralcounting","test_mcq_union_fraction_sds","test_mcq_write_metadata_template","test_natural_isotope","test_pairwise_test_prot"}; do 
  echo "***************************************************"
  echo $process
  echo "***************************************************"
  echo "Rscript ./${process}.R >../test_results/${process}.out 2>../test_results/${process}.err"
  echo "***************************************************"
  Rscript ./${process}.R >../test_results/${process}.out 2>../test_results/${process}.err
  #Rscript ./${process}.R >/tmp/test_MassChroqR/${process}.out 2>/tmp/test_MassChroqR/${process}.err
done
